{
  "name": "@antv/g-mobile",
  "version": "0.0.5",
  "description": "A mobile canvas library which providing 2d",
  "main": "lib/index.js",
  "module": "esm/index.js",
  "unpkg": "dist/g.min.js",
  "types": "lib/index.d.ts",
  "files": [
    "src",
    "package.json",
    "esm",
    "lib",
    "dist",
    "LICENSE",
    "README.md"
  ],
  "scripts": {
    "build": "npm run clean && run-p build:*",
    "build:esm": "tsc -p tsconfig.json --target ES5 --module ESNext --outDir esm",
    "build:cjs": "tsc -p tsconfig.json --target ES5 --module commonjs --outDir lib",
    "build:umd": "webpack --config webpack.config.js --mode production",
    "clean": "rm -rf esm lib dist",
    "coverage": "npm run coverage-generator && npm run coverage-viewer",
    "coverage-generator": "torch --coverage --compile --source-pattern src/*.js,src/**/*.js --opts tests/mocha.opts",
    "coverage-viewer": "torch-coverage",
    "test": "torch --renderer --compile --opts tests/mocha.opts",
    "test-live": "torch --compile --interactive tests/unit",
    "tsc": "tsc --noEmit",
    "typecheck": "tsc --noEmit",
    "dist": "webpack --config webpack.config.js --mode production"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/antvis/g.git"
  },
  "keywords": [
    "util",
    "antv",
    "g"
  ],
  "author": "https://github.com/orgs/antvis/people",
  "license": "ISC",
  "bugs": {
    "url": "https://github.com/antvis/g/issues"
  },
  "devDependencies": {
    "@antv/torch": "^1.0.0",
    "brace-expansion": "^2.0.0",
    "less": "^4.1.1",
    "npm-run-all": "^4.1.5",
    "read-pkg": "^5.2.0",
    "shell-quote": "^1.7.2",
    "typescript": "^4.1.3",
    "webpack": "^4.39.3",
    "webpack-cli": "^4.5.0"
  },
  "homepage": "https://github.com/antvis/g#readme",
  "dependencies": {
    "@antv/g-base": "^0.5.12",
    "@antv/g-math": "^0.1.9",
    "@antv/matrix-util": "^3.1.0-beta.1",
    "@antv/path-util": "~2.0.5",
    "@antv/util": "~2.0.13",
    "ansi-styles": "^5.0.0",
    "escape-string-regexp": "^4.0.0",
    "g6-hammerjs": "^0.0.9",
    "gl-matrix": "^3.0.0",
    "supports-color": "^8.1.0",
    "tslib": "^2.0.3"
  }
}
